<?
echo "<div class='event'><h1>Фермеры с акциями и ключами</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
if(isset($_GET['key']))
{
$sort='cellar_key';
$sort2='&key';
}
elseif(isset($_GET['act1']))
{
$sort='action1';
$sort2='&act1';
}
elseif(isset($_GET['act2']))
{
$sort='action2';
$sort2='&act2';
}
elseif(isset($_GET['act3']))
{
$sort='action3';
$sort2='&act3';
}
elseif(isset($_GET['act4']))
{
$sort='action4';
$sort2='&act4';
}
else
{
$sort='cellar_key';
$sort2=NULL;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` "),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$pet['s_str']);
$page=page($k_page);
$start=$pet['s_str']*$page-$pet['s_str'];
$num=($page-1)*$pet['s_str'];

$q=mysql_query("SELECT * FROM `kolhoz_user` ORDER BY $sort DESC, rating DESC LIMIT $start, $pet[s_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
$num++;
echo "<li><span class='minor'><span>$num.</span></span> <span>";
echo "".on_k($post['id'])."";
echo " <a class='' href='?user=$post[id]'>".nc($post['id'])."</a> ";
echo "<span class='title'>$post[$sort]</span></span></li>";
}
echo "</ul>";
if ($k_page>1)str("?act_user&$sort2&",$k_page,$page); // Вывод страниц
echo "<h3>Рейтинг по:</h3>";
echo "<ul>";
echo "<li><img width='16' height='16' src='images/icons/pkey.png' alt='o'> <a href='?act_user&key'>Ключ</a></li>";
echo "<li><img width='16' height='16' src='images/action/action10.png' alt='o'> <a href='?act_user&act1'>Акция На постройки</a></li>";
echo "<li><img width='16' height='16' src='images/icons/dig.png' alt='o'> <a href='?act_user&act2'>Акция На технику</a></li>";
echo "<li><img width='16' height='16' src='images/icons/plants.png' alt='o'> <a href='?act_user&act3'>Акция На Грядки</a></li>";
echo "<li><img width='16' height='16' src='images/icons/animal.png' alt='o'> <a href='?act_user&act4'>Акция На Животных</a></li>";
echo "</ul>";
echo "</div>";
include_once 'inc/foot.php';
?>